name = "sproutblog"
main = "worker.js"
compatibility_date = "2026-04-13"

routes = [
  { pattern = "blog.smyhub.com/*", zone_name = "smyhub.com" }
]

[assets]
directory = "./public/"

[vars]
SITE_TITLE = "萌芽小窝"
SITE_TITLE_EN = "SproutBlog"
ADMIN_PASSWORD = "shumengya520"
CWD_API_BASE = "https://cwd.api.smyhub.com"

[[d1_databases]]
binding = "DB"
database_name = "sproutblog"
database_id = "d4f62f01-7a6c-423b-bc8b-a6535750e44d"
migrations_dir = "migrations"
